#!/bin/sh -e
# Run the test scripts
echo "======================================================="
echo "STARTING TESTS"
echo "======================================================="
project="$1"
if [ -z $project ] ; then
  echo "Usage: run_tests.sh <project>"
  exit 1
fi
echo Scripted tests will run on project $project

# Python unit tests
echo Running Python unit tests
python test_ccp4i.py

# Tcl scripts
echo Running test scripts
tclsh test_dbxml.tcl
tclsh dbccp4i_test_client.tcl
tclsh bigrequest_client.tcl $project -limit 10000
tclsh ccp4icompat_client.tcl $project
tclsh dirlock_client.tcl
tclsh openclose_client.tcl $project
tclsh opendb_client.tcl $project
tclsh rude_client.tcl

# Python scripts
## dbsocket_crash is commented out as it is supposed
## to crash
##python dbsocket_crash.py $project 1

echo "======================================================="
echo "FINISHED TESTS"
echo "If you see this message then all the tests completed ok"
echo "======================================================="
